package repository

import "nms_nbi/src/modules/network_element/model"

// INeSoftware 网元软件包信息 数据层接口
type INeSoftware interface {
	// SelectPage 根据条件分页查询字典类型
	SelectPage(query map[string]any) map[string]any

	// SelectList 根据实体查询
	SelectList(neSoftware model.NeSoftware) []model.NeSoftware

	// SelectByIds 通过ID查询
	SelectByIds(ids []string) []model.NeSoftware

	// Insert 新增信息
	Insert(neSoftware model.NeSoftware) string

	// Update 修改信息
	Update(neSoftware model.NeSoftware) int64

	// DeleteByIds 批量删除信息
	DeleteByIds(ids []string) int64

	// CheckUniqueTypeAndFileNameAndVersion 校验网元类型和文件名版本是否唯一
	CheckUniqueTypeAndFileNameAndVersion(neSoftware model.NeSoftware) string
}
